import 'colonia.dart';

class AddressModel {
  const AddressModel({
    required this.label,
    required this.street,
    required this.colonia,
  });

  final String label;
  final String street;
  final Colonia colonia;

  Map<String, dynamic> toJson() {
    return <String, dynamic>{
      'label': label,
      'calle': street,
      'colonia': colonia.nombre,
      'route_id': colonia.routeId,
    };
  }
}
